diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 850d053..e90957e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -12638,6 +12638,728 @@ DistinctDegreeFactorize(F,FP): C == T
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package DFSFUN DoubleFloatSpecialFunctions}
+The special functions in this section are developed as special cases
+but can all be expressed in terms of generalized hypergeomentric
+functions ${}_pF_q$ or its generalization, the Meijer G function.
+\cite{Luk169,Luk269}
+The long term plan is to reimplement these functions using the 
+generalized version.
+<<DoubleFloatSpecialFunctions.input>>=
+)set break resume
+)sys rm -f DoubleFloatSpecialFunctions.output
+)spool DoubleFloatSpecialFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 5
+)show DoubleFloatSpecialFunctions
+--R DoubleFloatSpecialFunctions  is a package constructor
+--R Abbreviation for DoubleFloatSpecialFunctions is DFSFUN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for DFSFUN 
+--R
+--R------------------------------- Operations --------------------------------
+--R Gamma : DoubleFloat -> DoubleFloat    fresnelC : Float -> Float
+--R fresnelS : Float -> Float            
+--R Beta : (DoubleFloat,DoubleFloat) -> DoubleFloat
+--R Beta : (Complex DoubleFloat,Complex DoubleFloat) -> Complex DoubleFloat
+--R E1 : DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei1 : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei2 : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei3 : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei4 : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei5 : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R Ei6 : OnePointCompletion DoubleFloat -> OnePointCompletion DoubleFloat
+--R En : (Integer,DoubleFloat) -> OnePointCompletion DoubleFloat
+--R Gamma : Complex DoubleFloat -> Complex DoubleFloat
+--R airyAi : Complex DoubleFloat -> Complex DoubleFloat
+--R airyAi : DoubleFloat -> DoubleFloat
+--R airyBi : DoubleFloat -> DoubleFloat
+--R airyBi : Complex DoubleFloat -> Complex DoubleFloat
+--R besselI : (DoubleFloat,DoubleFloat) -> DoubleFloat
+--R besselI : (Complex DoubleFloat,Complex DoubleFloat) -> Complex DoubleFloat
+--R besselJ : (DoubleFloat,DoubleFloat) -> DoubleFloat
+--R besselJ : (Complex DoubleFloat,Complex DoubleFloat) -> Complex DoubleFloat
+--R besselK : (DoubleFloat,DoubleFloat) -> DoubleFloat
+--R besselK : (Complex DoubleFloat,Complex DoubleFloat) -> Complex DoubleFloat
+--R besselY : (DoubleFloat,DoubleFloat) -> DoubleFloat
+--R besselY : (Complex DoubleFloat,Complex DoubleFloat) -> Complex DoubleFloat
+--R digamma : DoubleFloat -> DoubleFloat
+--R digamma : Complex DoubleFloat -> Complex DoubleFloat
+--R hypergeometric0F1 : (DoubleFloat,DoubleFloat) -> DoubleFloat
+--R hypergeometric0F1 : (Complex DoubleFloat,Complex DoubleFloat) -> Complex DoubleFloat
+--R logGamma : DoubleFloat -> DoubleFloat
+--R logGamma : Complex DoubleFloat -> Complex DoubleFloat
+--R polygamma : (NonNegativeInteger,DoubleFloat) -> DoubleFloat
+--R polygamma : (NonNegativeInteger,Complex DoubleFloat) -> Complex DoubleFloat
+--R
+--E 1
+
+--S 2 of 5
+pearceyC:=_
+[ [0.00, 0.0000000], [0.25, 0.3964561], [0.50, 0.5502472], [0.75, 0.6531193],_
+  [1.00, 0.7217059], [1.25, 0.762404],  [1.50, 0.779084],  [1.75, 0.774978],_
+  [2.00, 0.753302],  [2.25, 0.717446],  [2.50, 0.670986],  [2.75, 0.617615],_
+  [3.00, 0.561020],  [3.25, 0.504745],  [3.50, 0.452047],  [3.75, 0.405762],_
+  [4.00, 0.368193],  [4.25, 0.341021],  [4.50, 0.325249],  [4.75, 0.321186],_
+  [5.00, 0.328457],  [5.25, 0.346058],  [5.50, 0.372439],  [5.75, 0.405610],_
+  [6.00, 0.443274],  [6.25, 0.482966],  [6.50, 0.522202],  [6.75, 0.558620],_
+  [7.00, 0.590116],  [7.25, 0.614951],  [7.50, 0.631845],  [7.75, 0.640034],_
+  [8.00, 0.639301],  [8.25, 0.629969],  [8.50, 0.612868],  [8.75, 0.589271],_
+  [9.00, 0.560804],  [9.25, 0.529344],  [9.50, 0.496895],  [9.75, 0.465469],_
+ [10.00, 0.436964], [10.25, 0.413053], [10.50, 0.395087], [10.75, 0.384027],_
+ [11.00, 0.380390], [11.25, 0.384231], [11.50, 0.395149], [11.75, 0.412319],_
+ [12.00, 0.434555], [12.25, 0.460384], [12.50, 0.488146], [12.75, 0.516096],_
+ [13.00, 0.542511], [13.25, 0.565798], [13.50, 0.584583], [13.75, 0.597795],_
+ [14.00, 0.604721], [14.25, 0.605048], [14.50, 0.598871], [14.75, 0.586682],_
+ [15.00, 0.569335], [15.25, 0.547984], [15.50, 0.524009], [15.75, 0.498930],_
+ [16.00, 0.474310], [16.25, 0.451659], [16.50, 0.432343], [16.75, 0.417502],_
+ [17.00, 0.407985], [17.25, 0.404300], [17.50, 0.406589], [17.75, 0.414627],_
+ [18.00, 0.427837], [18.25, 0.445331], [18.50, 0.465972], [18.75, 0.488443],_
+ [19.00, 0.511332], [19.25, 0.533222], [19.50, 0.552774], [19.75, 0.568812],_
+ [20.00, 0.580389], [20.25, 0.586847], [20.50, 0.587849], [20.75, 0.583401],_
+ [21.00, 0.573842], [21.25, 0.559824], [21.50, 0.542266], [21.75, 0.522293],_
+ [22.00, 0.501167], [22.25, 0.480207], [22.50, 0.460707], [22.75, 0.443854],_
+ [23.00, 0.430662], [23.25, 0.421906], [23.50, 0.418080], [23.75, 0.419367],_
+ [24.00, 0.425635], [24.25, 0.436444], [24.50, 0.451078], [24.75, 0.468594],_
+ [25.00, 0.487880], [25.25, 0.507725], [25.50, 0.526896], [25.75, 0.544215],_
+ [26.00, 0.558626], [26.25, 0.569272], [26.50, 0.575524], [26.75, 0.577038],_
+ [27.00, 0.573766], [27.25, 0.565954], [27.50, 0.554127], [27.75, 0.539054],_
+ [28.00, 0.521695], [28.25, 0.503146], [28.50, 0.484566], [28.75, 0.467104],_
+ [29.00, 0.451832], [29.25, 0.439675], [29.50, 0.431359], [29.75, 0.427366],_
+ [30.00, 0.427908], [30.25, 0.432913], [30.50, 0.442034], [30.75, 0.454673],_
+ [31.00, 0.470019], [31.25, 0.487100], [31.50, 0.504844], [31.75, 0.522148],_
+ [32.00, 0.537944], [32.25, 0.551266], [32.50, 0.561307], [32.75, 0.567471],_
+ [33.00, 0.569407], [33.25, 0.567026], [33.50, 0.560508], [33.75, 0.550288],_
+ [34.00, 0.537026], [34.25, 0.521566], [34.50, 0.504881], [34.75, 0.488015],_
+ [35.00, 0.472012], [35.25, 0.457857], [35.50, 0.446415], [35.75, 0.438375],_
+ [36.00, 0.434212], [36.25, 0.434156], [36.50, 0.438182], [36.75, 0.446014],_
+ [37.00, 0.457140], [37.25, 0.470848], [37.50, 0.486272], [37.75, 0.502444],_
+ [38.00, 0.518359], [38.25, 0.533031], [38.50, 0.545560], [38.75, 0.555182],_
+ [39.00, 0.561321], [39.25, 0.563619], [39.50, 0.561957], [39.75, 0.556463],_
+ [40.00, 0.547503], [40.25, 0.535653], [40.50, 0.521665], [40.75, 0.506420],_
+ [41.00, 0.490870], [41.25, 0.475980], [41.50, 0.462670], [41.75, 0.451755],_
+ [42.00, 0.443897], [42.25, 0.439565], [42.50, 0.439006], [42.75, 0.442234],_
+ [43.00, 0.449025], [43.25, 0.458938], [43.50, 0.471341], [43.75, 0.485450],_
+ [44.00, 0.500382], [44.25, 0.515205], [44.50, 0.529002], [44.75, 0.540923],_
+ [45.00, 0.550239], [45.25, 0.556387], [45.50, 0.559004], [45.75, 0.557947],_
+ [46.00, 0.553301], [46.25, 0.545374], [46.50, 0.534676], [46.75, 0.521883],_
+ [47.00, 0.507802], [47.25, 0.493312], [47.50, 0.479313], [47.75, 0.466670],_
+ [48.00, 0.456160], [48.25, 0.448425], [48.50, 0.443930], [48.75, 0.442936],_
+ [49.00, 0.445486], [49.25, 0.451406], [49.50, 0.460311], [49.75, 0.471633],_
+ [50.00, 0.484658]]
+--R 
+--R
+--R   (1)
+--R   [[0.0,0.0], [0.25,0.3964561], [0.5,0.5502472], [0.75,0.6531193],
+--R    [1.0,0.7217059], [1.25,0.762404], [1.5,0.779084], [1.75,0.774978],
+--R    [2.0,0.753302], [2.25,0.717446], [2.5,0.670986], [2.75,0.617615],
+--R    [3.0,0.56102], [3.25,0.504745], [3.5,0.452047], [3.75,0.405762],
+--R    [4.0,0.368193], [4.25,0.341021], [4.5,0.325249], [4.75,0.321186],
+--R    [5.0,0.328457], [5.25,0.346058], [5.5,0.372439], [5.75,0.40561],
+--R    [6.0,0.443274], [6.25,0.482966], [6.5,0.522202], [6.75,0.55862],
+--R    [7.0,0.590116], [7.25,0.614951], [7.5,0.631845], [7.75,0.640034],
+--R    [8.0,0.639301], [8.25,0.629969], [8.5,0.612868], [8.75,0.589271],
+--R    [9.0,0.560804], [9.25,0.529344], [9.5,0.496895], [9.75,0.465469],
+--R    [10.0,0.436964], [10.25,0.413053], [10.5,0.395087], [10.75,0.384027],
+--R    [11.0,0.38039], [11.25,0.384231], [11.5,0.395149], [11.75,0.412319],
+--R    [12.0,0.434555], [12.25,0.460384], [12.5,0.488146], [12.75,0.516096],
+--R    [13.0,0.542511], [13.25,0.565798], [13.5,0.584583], [13.75,0.597795],
+--R    [14.0,0.604721], [14.25,0.605048], [14.5,0.598871], [14.75,0.586682],
+--R    [15.0,0.569335], [15.25,0.547984], [15.5,0.524009], [15.75,0.49893],
+--R    [16.0,0.47431], [16.25,0.451659], [16.5,0.432343], [16.75,0.417502],
+--R    [17.0,0.407985], [17.25,0.4043], [17.5,0.406589], [17.75,0.414627],
+--R    [18.0,0.427837], [18.25,0.445331], [18.5,0.465972], [18.75,0.488443],
+--R    [19.0,0.511332], [19.25,0.533222], [19.5,0.552774], [19.75,0.568812],
+--R    [20.0,0.580389], [20.25,0.586847], [20.5,0.587849], [20.75,0.583401],
+--R    [21.0,0.573842], [21.25,0.559824], [21.5,0.542266], [21.75,0.522293],
+--R    [22.0,0.501167], [22.25,0.480207], [22.5,0.460707], [22.75,0.443854],
+--R    [23.0,0.430662], [23.25,0.421906], [23.5,0.41808], [23.75,0.419367],
+--R    [24.0,0.425635], [24.25,0.436444], [24.5,0.451078], [24.75,0.468594],
+--R    [25.0,0.48788], [25.25,0.507725], [25.5,0.526896], [25.75,0.544215],
+--R    [26.0,0.558626], [26.25,0.569272], [26.5,0.575524], [26.75,0.577038],
+--R    [27.0,0.573766], [27.25,0.565954], [27.5,0.554127], [27.75,0.539054],
+--R    [28.0,0.521695], [28.25,0.503146], [28.5,0.484566], [28.75,0.467104],
+--R    [29.0,0.451832], [29.25,0.439675], [29.5,0.431359], [29.75,0.427366],
+--R    [30.0,0.427908], [30.25,0.432913], [30.5,0.442034], [30.75,0.454673],
+--R    [31.0,0.470019], [31.25,0.4871], [31.5,0.504844], [31.75,0.522148],
+--R    [32.0,0.537944], [32.25,0.551266], [32.5,0.561307], [32.75,0.567471],
+--R    [33.0,0.569407], [33.25,0.567026], [33.5,0.560508], [33.75,0.550288],
+--R    [34.0,0.537026], [34.25,0.521566], [34.5,0.504881], [34.75,0.488015],
+--R    [35.0,0.472012], [35.25,0.457857], [35.5,0.446415], [35.75,0.438375],
+--R    [36.0,0.434212], [36.25,0.434156], [36.5,0.438182], [36.75,0.446014],
+--R    [37.0,0.45714], [37.25,0.470848], [37.5,0.486272], [37.75,0.502444],
+--R    [38.0,0.518359], [38.25,0.533031], [38.5,0.54556], [38.75,0.555182],
+--R    [39.0,0.561321], [39.25,0.563619], [39.5,0.561957], [39.75,0.556463],
+--R    [40.0,0.547503], [40.25,0.535653], [40.5,0.521665], [40.75,0.50642],
+--R    [41.0,0.49087], [41.25,0.47598], [41.5,0.46267], [41.75,0.451755],
+--R    [42.0,0.443897], [42.25,0.439565], [42.5,0.439006], [42.75,0.442234],
+--R    [43.0,0.449025], [43.25,0.458938], [43.5,0.471341], [43.75,0.48545],
+--R    [44.0,0.500382], [44.25,0.515205], [44.5,0.529002], [44.75,0.540923],
+--R    [45.0,0.550239], [45.25,0.556387], [45.5,0.559004], [45.75,0.557947],
+--R    [46.0,0.553301], [46.25,0.545374], [46.5,0.534676], [46.75,0.521883],
+--R    [47.0,0.507802], [47.25,0.493312], [47.5,0.479313], [47.75,0.46667],
+--R    [48.0,0.45616], [48.25,0.448425], [48.5,0.44393], [48.75,0.442936],
+--R    [49.0,0.445486], [49.25,0.451406], [49.5,0.460311], [49.75,0.471633],
+--R    [50.0,0.484658]]
+--R                                                        Type: List List Float
+--E 2
+
+--S 3 of 5
+[[x.1,x.2,fresnelC(x.1),fresnelC(x.1)-x.2] for x in pearceyC]
+--R 
+--R
+--R   (2)
+--R   [[0.0,0.0,0.0,0.0],
+--R    [0.25,0.3964561,0.3964560954 2000459941,- 0.4579995400 59 E -8],
+--R    [0.5,0.5502472,0.5502471546 4500637208,- 0.4535499362 79 E -7],
+--R    [0.75,0.6531193,0.6531193584 292607957,0.5842926079 57 E -7],
+--R    [1.0,0.7217059,0.7217059242 9260508777,0.2429260508 78 E -7],
+--R    [1.25,0.762404,0.7624042531 0695862575,0.2531069586 258 E -6],
+--R    [1.5,0.779084,0.7790837385 0396370968,- 0.2614960362 903 E -6],
+--R    [1.75,0.774978,0.7749781554 8647675573,0.1554864767 557 E -6],
+--R    [2.0,0.753302,0.7533023754 6789116559,0.3754678911 656 E -6],
+--R    [2.25,0.717446,0.7174457114 2671496912,- 0.2885732850 309 E -6],
+--R    [2.5,0.670986,0.6709858725 0950347483,- 0.1274904965 252 E -6],
+--R    [2.75,0.617615,0.6176149424 522644261,- 0.5754773557 39 E -7],
+--R    [3.0,0.56102,0.5610203289 781386693,0.3289781386 693 E -6],
+--R    [3.25,0.504745,0.5047454684 5758505252,0.4684575850 525 E -6],
+--R    [3.5,0.452047,0.4520471473 7344948252,0.1473734494 825 E -6],
+--R    [3.75,0.405762,0.4057621282 0111750857,0.1282011175 086 E -6],
+--R    [4.0,0.368193,0.3681929762 8097479631,- 0.2371902520 37 E -7],
+--R    [4.25,0.341021,0.3410206544 3025861592,- 0.3455697413 8408 E -6],
+--R    [4.5,0.325249,0.3252492294 0997382931,0.2294099738 293 E -6],
+--R    [4.75,0.321186,0.3211858108 1411496285,- 0.1891858850 372 E -6],
+--R    [5.0,0.328457,0.3284566248 6755260618,- 0.3751324473 9382 E -6],
+--R    [5.25,0.346058,0.3460579739 835289212,- 0.2601647107 88 E -7],
+--R    [5.5,0.372439,0.3724388324 2286847464,- 0.1675771315 254 E -6],
+--R    [5.75,0.40561,0.4056100692 8402241876,0.6928402241 876 E -7],
+--R    [6.0,0.443274,0.4432738563 3762333739,- 0.1436623766 626 E -6],
+--R    [6.25,0.482966,0.4829657793 6269790038,- 0.2206373020 996 E -6],
+--R    [6.5,0.522202,0.5222015767 8062637928,- 0.4232193736 207 E -6],
+--R    [6.75,0.55862,0.5586203035 9563381818,0.3035956338 182 E -6],
+--R    [7.0,0.590116,0.5901160610 939772876,0.6109397728 76 E -7],
+--R    [7.25,0.614951,0.6149512165 651359762,0.2165651359 762 E -6],
+--R    [7.5,0.631845,0.6318452111 5510492853,0.2111551049 285 E -6],
+--R    [7.75,0.640034,0.6400345450 8057441808,0.5450805744 1808 E -6],
+--R    [8.0,0.639301,0.6393012479 3060490759,0.2479306049 076 E -6],
+--R    [8.25,0.629969,0.6299689859 2595953795,- 0.1407404046 2 E -7],
+--R    [8.5,0.612868,0.6128678201 6845088171,- 0.1798315491 183 E -6],
+--R    [8.75,0.589271,0.5892704028 202327594,- 0.5971797672 406 E -6],
+--R    [9.0,0.560804,0.5608039810 6395486433,- 0.1893604513 57 E -7],
+--R    [9.25,0.529344,0.5293438831 4394301245,- 0.1168560569 876 E -6],
+--R    [9.5,0.496895,0.4968951155 6828252077,0.1155682825 208 E -6],
+--R    [9.75,0.465469,0.4654692556 4195264614,0.2556419526 4614 E -6],
+--R    [10.0,0.436964,0.4369639527 2938203483,- 0.4727061796 517 E -7],
+--R    [10.25,0.413053,0.4130520539 2945147154,- 0.9460705485 2846 E -6],
+--R    [10.5,0.395087,0.3950866689 6445290526,- 0.3310355470 9474 E -6],
+--R    [10.75,0.384027,0.3840274319 9186745464,0.4319918674 5464 E -6],
+--R    [11.0,0.38039,0.3803918718 5818433242,0.0000018718 581843324],
+--R    [11.25,0.384231,0.3842342501 3415159269,0.0000032501 3415159269],
+--R    [11.5,0.395149,0.3951525621 4136633426,0.0000035621 4136633426],
+--R    [11.75,0.412319,0.4123227194 2948890487,0.0000037194 2948890487],
+--R    [12.0,0.434555,0.4345573415 1310106383,0.0000023415 1310106383],
+--R    [12.25,0.460384,0.4603851724 4692111457,0.0000011724 469211146],
+--R    [12.5,0.488146,0.4881459845 7100939501,- 0.1542899060 5 E -7],
+--R    [12.75,0.516096,0.5160950016 9800402129,- 0.9983019959 7871 E -6],
+--R    [13.0,0.542511,0.5425104114 0076790311,- 0.5885992320 9689 E -6],
+--R    [13.25,0.565798,0.5657974628 3445804807,- 0.5371655419 5193 E -6],
+--R    [13.5,0.584583,0.5845829612 9626646639,- 0.3870373353 36 E -7],
+--R    [13.75,0.597795,0.5977946491 2254037734,- 0.3508774596 227 E -6],
+--R    [14.0,0.604721,0.6047209589 3428343112,- 0.4106571656 89 E -7],
+--R    [14.25,0.605048,0.6050478757 7470272898,- 0.1242252972 71 E -6],
+--R    [14.5,0.598871,0.5988710711 7868251227,0.7117868251 227 E -7],
+--R    [14.75,0.586682,0.5866829870 7071159647,0.9870707115 9647 E -6],
+--R    [15.0,0.569335,0.5693360588 8342021462,0.0000010588 834202146],
+--R    [15.25,0.547984,0.5479846850 9637199303,0.6850963719 9303 E -6],
+--R    [15.5,0.524009,0.5240097909 4969920392,0.7909496992 0392 E -6],
+--R    [15.75,0.49893,0.4989308254 9359679937,0.8254935967 9937 E -6],
+--R    [16.0,0.47431,0.4743107173 2032792592,0.7173203279 2592 E -6],
+--R    [16.25,0.451659,0.4516596582 0625475374,0.6582062547 5374 E -6],
+--R    [16.5,0.432343,0.4323435693 667817725,0.5693667817 725 E -6],
+--R    [16.75,0.417502,0.4175027376 9772555286,0.7376977255 5286 E -6],
+--R    [17.0,0.407985,0.4079854159 5598154173,0.4159559815 4173 E -6],
+--R    [17.25,0.4043,0.4043002072 9975704736,0.2072997570 474 E -6],
+--R    [17.5,0.406589,0.4065898632 2726313915,0.8632272631 3915 E -6],
+--R    [17.75,0.414627,0.4146277893 4285610292,0.7893428561 0292 E -6],
+--R    [18.0,0.427837,0.4278371578 9257267748,0.1578925726 775 E -6],
+--R    [18.25,0.445331,0.4453311546 869756159,0.1546869756 159 E -6],
+--R    [18.5,0.465972,0.4659716234 4840774835,- 0.3765515922 5165 E -6],
+--R    [18.75,0.488443,0.4884422879 5458921791,- 0.7120454107 8209 E -6],
+--R    [19.0,0.511332,0.5113318949 159239085,- 0.1050840760 915 E -6],
+--R    [19.25,0.533222,0.5332220760 9031239166,0.7609031239 166 E -7],
+--R    [19.5,0.552774,0.5527745062 1484209042,0.5062148420 9042 E -6],
+--R    [19.75,0.568812,0.5688120435 8652883009,0.4358652883 01 E -7],
+--R    [20.0,0.580389,0.5803889720 0491079211,- 0.2799508920 79 E -7],
+--R    [20.25,0.586847,0.5868461863 8595115362,- 0.8136140488 4638 E -6],
+--R    [20.5,0.587849,0.5878481324 17475698,- 0.8675825243 0201 E -6],
+--R    [20.75,0.583401,0.5833994615 8414205371,- 0.0000015384 158579463],
+--R    [21.0,0.573842,0.5738406247 6208387835,- 0.0000013752 379161216],
+--R    [21.25,0.559824,0.5598229224 1791771666,- 0.0000010775 820822833],
+--R    [21.5,0.542266,0.5422647781 3626412855,- 0.0000012218 637358715],
+--R    [21.75,0.522293,0.5222921292 4856805145,- 0.8707514319 4855 E -6],
+--R    [22.0,0.501167,0.5011667664 6519292577,- 0.2335348070 742 E -6],
+--R    [22.25,0.480207,0.4802071484 9285761974,0.1484928576 197 E -6],
+--R    [22.5,0.460707,0.4607066279 5313545574,- 0.3720468645 4426 E -6],
+--R    [22.75,0.443854,0.4438541294 6962922904,0.1294696292 29 E -6],
+--R    [23.0,0.430662,0.4306621163 5307345639,0.1163530734 564 E -6],
+--R    [23.25,0.421906,0.4219061845 5918877179,0.1845591887 718 E -6],
+--R    [23.5,0.41808,0.4180798648 2406114921,- 0.1351759388 508 E -6],
+--R    [23.75,0.419367,0.4193672450 5058364187,0.2450505836 4187 E -6],
+--R    [24.0,0.425635,0.4256349063 1204612991,- 0.9368795387 009 E -7],
+--R    [24.25,0.436444,0.4364434671 0955178019,- 0.5328904482 1981 E -6],
+--R    [24.5,0.451078,0.4510778257 8097250046,- 0.1742190274 995 E -6],
+--R    [24.75,0.468594,0.4685940538 2129131152,0.5382129131 152 E -7],
+--R    [25.0,0.48788,0.4878798923 5075186185,- 0.1076492481 382 E -6],
+--R    [25.25,0.507725,0.5077249997 4785550835,- 0.2521444917 E -9],
+--R    [25.5,0.526896,0.5268965378 5056351834,0.5378505635 1834 E -6],
+--R    [25.75,0.544215,0.5442153996 057056159,0.3996057056 159 E -6],
+--R    [26.0,0.558626,0.5586283863 2269416639,0.0000023863 226941664],
+--R    [26.25,0.569272,0.5692719365 6311174305,- 0.6343688825 695 E -7],
+--R    [26.5,0.575524,0.5755235681 519286467,- 0.4318480713 533 E -6],
+--R    [26.75,0.577038,0.5770379859 3635357755,- 0.1406364642 24 E -7],
+--R    [27.0,0.573766,0.5737657770 124270981,- 0.2229875729 019 E -6],
+--R    [27.25,0.565954,0.5659537051 6013269979,- 0.2948398673 002 E -6],
+--R    [27.5,0.554127,0.5541267540 7959236651,- 0.2459204076 335 E -6],
+--R    [27.75,0.539054,0.5390531912 4040124686,- 0.8087595987 5314 E -6],
+--R    [28.0,0.521695,0.5216949544 6705388656,- 0.4553294611 34 E -7],
+--R    [28.25,0.503146,0.5031465467 9677094812,0.5467967709 4812 E -6],
+--R    [28.5,0.484566,0.4845663019 0920749659,0.3019092074 9659 E -6],
+--R    [28.75,0.467104,0.4671043214 6483016106,0.3214648301 6106 E -6],
+--R    [29.0,0.451832,0.4518315476 4628819554,- 0.4523537118 0446 E -6],
+--R    [29.25,0.439675,0.4396743309 7300438172,- 0.6690269956 1828 E -6],
+--R    [29.5,0.431359,0.4313584765 6101829235,- 0.5234389817 0765 E -6],
+--R    [29.75,0.427366,0.4273661360 3768100434,0.1360376810 043 E -6],
+--R    [30.0,0.427908,0.4279080905 152246846,0.9051522468 46 E -7],
+--R    [30.25,0.432913,0.4329130066 7882319144,0.6678823191 44 E -8],
+--R    [30.5,0.442034,0.4420341837 397595623,0.1837397595 623 E -6],
+--R    [30.75,0.454673,0.4546732432 9642671639,0.2432964267 1639 E -6],
+--R    [31.0,0.470019,0.4700191387 880518641,0.1387880518 641 E -6],
+--R    [31.25,0.4871,0.4870999928 5423804547,- 0.7145761954 53 E -8],
+--R    [31.5,0.504844,0.5048444286 1506750598,0.4286150675 06 E -6],
+--R    [31.75,0.522148,0.5221485610 4009044596,0.5610400904 4596 E -6],
+--R    [32.0,0.537944,0.5379444615 1644558148,0.4615164455 815 E -6],
+--R    [32.25,0.551266,0.5512658647 1800830465,- 0.1352819916 953 E -6],
+--R    [32.5,0.561307,0.5613070997 1630231457,0.9971630231 457 E -7],
+--R    [32.75,0.567471,0.5674716241 0900084533,0.6241090008 4533 E -6],
+--R    [33.0,0.569407,0.5694072875 9780709976,0.2875978070 998 E -6],
+--R    [33.25,0.567026,0.5670262735 8602313224,0.2735860231 322 E -6],
+--R    [33.5,0.560508,0.5605085017 9224639203,0.5017922463 9203 E -6],
+--R    [33.75,0.550288,0.5502884623 6065133847,0.4623606513 385 E -6],
+--R    [34.0,0.537026,0.5370265183 9150336492,0.5183915033 6492 E -6],
+--R    [34.25,0.521566,0.5215664629 6901266906,0.4629690126 691 E -6],
+--R    [34.5,0.504881,0.5048817837 1619742811,0.7837161974 2811 E -6],
+--R    [34.75,0.488015,0.4880148426 3306102148,- 0.1573669389 785 E -6],
+--R    [35.0,0.472012,0.4720115763 0531557892,- 0.4236946844 2108 E -6],
+--R    [35.25,0.457857,0.4578571669 7762795948,0.1669776279 595 E -6],
+--R    [35.5,0.446415,0.4464153233 6579743027,0.3233657974 3027 E -6],
+--R    [35.75,0.438375,0.4383753574 7411594227,0.3574741159 4227 E -6],
+--R    [36.0,0.434212,0.4342121246 9792940288,0.1246979294 029 E -6],
+--R    [36.25,0.434156,0.4341557286 0605475409,- 0.2713939452 4591 E -6],
+--R    [36.5,0.438182,0.4381823268 5646395843,0.3268564639 5843 E -6],
+--R    [36.75,0.446014,0.4460136608 378042178,- 0.3391621957 8221 E -6],
+--R    [37.0,0.45714,0.4571399045 2295784095,- 0.9547704215 905 E -7],
+--R    [37.25,0.470848,0.4708481333 0533700846,0.1333053370 085 E -6],
+--R    [37.5,0.486272,0.4862712468 1703660919,- 0.7531829633 9081 E -6],
+--R    [37.75,0.502444,0.5024452759 1583009151,0.0000012759 158300915],
+--R    [38.0,0.518359,0.5183578008 5448394353,- 0.0000011991 455160565],
+--R    [38.25,0.533031,0.5330321320 7141016248,0.0000011320 714101625],
+--R    [38.5,0.54556,0.5455618898 0934649103,0.0000018898 09346491],
+--R    [38.75,0.555182,0.5551816153 550106069,- 0.3846449893 931 E -6],
+--R    [39.0,0.561321,0.5613199426 5924299224,- 0.0000010573 407570078],
+--R    [39.25,0.563619,0.5636202521 4551507916,0.0000012521 455150792],
+--R    [39.5,0.561957,0.5619620534 8342820413,0.0000050534 8342820413],
+--R    [39.75,0.556463,0.5564674768 4327383218,0.0000044768 4327383218],
+--R    [40.0,0.547503,0.5475016168 5739915545,- 0.0000013831 426008446],
+--R    [40.25,0.535653,0.5356620581 907903875,0.0000090581 907903875],
+--R    [40.5,0.521665,0.5216761291 3655653692,0.0000111291 365565369],
+--R    [40.75,0.50642,0.5064307953 651030568,0.0000107953 651030568],
+--R    [41.0,0.49087,0.4908775154 973959802,0.0000075154 973959802],
+--R    [41.25,0.47598,0.4759947400 5522621443,0.0000147400 552262144],
+--R    [41.5,0.46267,0.4626713569 4418969324,0.0000013569 441896932],
+--R    [41.75,0.451755,0.4517471829 4138239325,- 0.0000078170 5861760675],
+--R    [42.0,0.443897,0.4438901875 6697015185,- 0.0000068124 3302984815],
+--R    [42.25,0.439565,0.4396208010 3531908999,0.0000558010 3531908999],
+--R    [42.5,0.439006,0.4390276694 2121953287,0.0000216694 212195329],
+--R    [42.75,0.442234,0.4421897258 6637518416,- 0.0000442741 3362481584],
+--R    [43.0,0.449025,0.4492050976 5650075833,0.0001800976 565007583],
+--R    [43.25,0.458938,0.4590688249 4791286065,0.0001308249 479128606],
+--R    [43.5,0.471341,0.4714100547 838144553,0.0000690547 838144553],
+--R    [43.75,0.48545,0.4856358171 3210831443,0.0001858171 321083144],
+--R    [44.0,0.500382,0.5006613400 4130067711,0.0002793400 413006771],
+--R    [44.25,0.515205,0.5151342238 0563989679,- 0.0000707761 943601032],
+--R    [44.5,0.529002,0.5292284441 2946417563,0.0002264441 294641756],
+--R    [44.75,0.540923,0.5412892775 4773223337,0.0003662775 477322334],
+--R    [45.0,0.550239,0.5511413346 3543889498,0.0009023346 3543889498],
+--R    [45.25,0.556387,0.5576853265 4573892342,0.0012983265 457389234],
+--R    [45.5,0.559004,0.5587593755 575499822,- 0.0002446244 424500178],
+--R    [45.75,0.557947,0.5579019728 3302653036,- 0.0000450271 669734696],
+--R    [46.0,0.553301,0.5514473569 0540180212,- 0.0018536430 945981979],
+--R    [46.25,0.545374,0.5464394049 9280209722,0.0010654049 928020972],
+--R    [46.5,0.534676,0.5343156292 8025671166,- 0.0003603707 197432883],
+--R    [46.75,0.521883,0.5290838154 5620869748,0.0072008154 5620869748],
+--R    [47.0,0.507802,0.5077713992 4578468391,- 0.0000306007 542153161],
+--R    [47.25,0.493312,0.4896517184 8241185069,- 0.0036602815 1758814931],
+--R    [47.5,0.479313,0.4811196308 9536307999,0.0018066308 9536308],
+--R    [47.75,0.46667,0.4702336348 628440715,0.0035636348 628440715],
+--R    [48.0,0.45616,0.4632451705 9779549321,0.0070851705 9779549321],
+--R    [48.25,0.448425,0.4345971450 8343415472,- 0.0138278549 165658453],
+--R    [48.5,0.44393,0.4374345410 0388858939,- 0.0064954589 9611141061],
+--R    [48.75,0.442936,0.4642108712 1599523247,0.0212748712 159952325],
+--R    [49.0,0.445486,0.4326668777 9106094573,- 0.0128191222 089390543],
+--R    [49.25,0.451406,0.4916664060 5304481548,0.0402604060 5304481548],
+--R    [49.5,0.460311,0.3803109193 0779099871,- 0.0800000806 9220900129],
+--R    [49.75,0.471633,0.5230763977 8694224618,0.0514433977 8694224618],
+--R    [50.0,0.484658,0.4157389501 9459370449,- 0.0689190498 0540629551]]
+--R                                                        Type: List List Float
+--E 3
+
+--S 4 of 4
+pearceyS:=_
+[ [0.00, 0.0000000], [0.25, 0.0330970], [0.50, 0.0923658], [0.75, 0.1659294],_
+  [1.00, 0.2475583], [1.25, 0.332216],  [1.50, 0.415483],  [1.75, 0.493469],_
+  [2.00, 0.562849],  [2.25, 0.620944],  [2.50, 0.665787],  [2.75, 0.696174],_
+  [3.00, 0.711685],  [3.25, 0.712666],  [3.50, 0.700180],  [3.75, 0.675925],_
+  [4.00, 0.642119],  [4.25, 0.601362],  [4.50, 0.556489],  [4.75, 0.510408],_
+  [5.00, 0.465942],  [5.25, 0.425677],  [5.50, 0.391834],  [5.75, 0.366161],_
+  [6.00, 0.349852],  [6.25, 0.343503],  [6.50, 0.347099],  [6.75, 0.360040],_
+  [7.00, 0.381195],  [7.25, 0.408982],  [7.50, 0.441485],  [7.75, 0.476568],_
+  [8.00, 0.512010],  [8.25, 0.545638],  [8.50, 0.575457],  [8.75, 0.599758],_
+  [9.00, 0.617214],  [9.25, 0.626948],  [9.50, 0.628573],  [9.75, 0.622204],_
+ [10.00, 0.608436], [10.25, 0.588297], [10.50, 0.563176], [10.75, 0.534731],_
+ [11.00, 0.504784], [11.25, 0.475208], [11.50, 0.447809], [11.75, 0.424220],_
+ [12.00, 0.405810], [12.25, 0.393601], [12.50, 0.388217], [12.75, 0.389852],_
+ [13.00, 0.398268], [13.25, 0.412817], [13.50, 0.432489], [13.75, 0.455978],_
+ [14.00, 0.481770], [14.25, 0.508236], [14.50, 0.533736], [14.75, 0.556716],_
+ [15.00, 0.575803], [15.25, 0.589887], [15.50, 0.598183], [15.75, 0.600273],_
+ [16.00, 0.596126], [16.25, 0.586095], [16.50, 0.570890], [16.75, 0.551526],_
+ [17.00, 0.529259], [17.25, 0.505505], [17.50, 0.481750], [17.75, 0.459460],_
+ [18.00, 0.439989], [18.25, 0.424500], [18.50, 0.413893], [18.75, 0.408757],_
+ [19.00, 0.409336], [19.25, 0.415520], [19.50, 0.426853], [19.75, 0.442571],_
+ [20.00, 0.461646], [20.25, 0.482860], [20.50, 0.504875], [20.75, 0.526323],_
+ [21.00, 0.545885], [21.25, 0.562375], [21.50, 0.574811], [21.75, 0.582472],_
+ [22.00, 0.584939], [22.25, 0.582119], [22.50, 0.574246], [22.75, 0.561862],_
+ [23.00, 0.545782], [23.25, 0.527040], [23.50, 0.506824], [23.75, 0.486399],_
+ [24.00, 0.467029], [24.25, 0.449901], [24.50, 0.436051], [24.75, 0.426303],_
+ [25.00, 0.421217], [25.25, 0.421062], [25.50, 0.425797], [25.75, 0.435083],_
+ [26.00, 0.448300], [26.25, 0.464594], [26.50, 0.482927], [26.75, 0.502146],_
+ [27.00, 0.521054], [27.25, 0.538483], [27.50, 0.553369], [27.75, 0.564814],_
+ [28.00, 0.572142], [28.25, 0.574935], [28.50, 0.573060], [28.75, 0.566674],_
+ [29.00, 0.556212], [29.25, 0.542357], [29.50, 0.525995], [29.75, 0.508160],_
+ [30.00, 0.489969], [30.25, 0.472549], [30.50, 0.456974], [30.75, 0.444193],_
+ [31.00, 0.434973], [31.25, 0.429857], [31.50, 0.429129], [31.75, 0.432799],_
+ [32.00, 0.440605], [32.25, 0.452031], [32.50, 0.466343], [32.75, 0.482632],_
+ [33.00, 0.499873], [33.25, 0.516992], [33.50, 0.532930], [33.75, 0.546708],_
+ [34.00, 0.557490], [34.25, 0.564629], [34.50, 0.567709], [34.75, 0.566570],_
+ [35.00, 0.561313], [35.25, 0.552293], [35.50, 0.540094], [35.75, 0.525495],_
+ [36.00, 0.509417], [36.25, 0.492866], [36.50, 0.476871], [36.75, 0.462420],_
+ [37.00, 0.450396], [37.25, 0.441528], [37.50, 0.436345], [37.75, 0.435144],_
+ [38.00, 0.437971], [38.25, 0.444626], [38.50, 0.454670], [38.75, 0.467461],_
+ [39.00, 0.482187], [39.25, 0.497924], [39.50, 0.513690], [39.75, 0.528507],_
+ [40.00, 0.541464], [40.25, 0.551768], [40.50, 0.558799], [40.75, 0.562140],_
+ [41.00, 0.561608], [41.25, 0.557258], [41.50, 0.549384], [41.75, 0.538494],_
+ [42.00, 0.525282], [42.25, 0.510580], [42.50, 0.495309], [42.75, 0.480418],_
+ [43.00, 0.466829], [43.25, 0.455375], [43.50, 0.446755], [43.75, 0.441487],_
+ [44.00, 0.439878], [44.25, 0.442007], [44.50, 0.447720], [44.75, 0.456645],_
+ [45.00, 0.468209], [45.25, 0.481681], [45.50, 0.496215], [45.75, 0.510904],_
+ [46.00, 0.524837], [46.25, 0.537153], [46.50, 0.547099], [46.75, 0.554070],_
+ [47.00, 0.557650], [47.25, 0.557635], [47.50, 0.554044], [47.75, 0.547120],_
+ [48.00, 0.537309], [48.25, 0.525234], [48.50, 0.511657], [48.75, 0.497426],_
+ [49.00, 0.483428], [49.25, 0.470529], [49.50, 0.459523], [49.75, 0.451084],_
+ [50.00, 0.445722]]
+--R 
+--R
+--R   (3)
+--R   [[0.0,0.0], [0.25,0.033097], [0.5,0.0923658], [0.75,0.1659294],
+--R    [1.0,0.2475583], [1.25,0.332216], [1.5,0.415483], [1.75,0.493469],
+--R    [2.0,0.562849], [2.25,0.620944], [2.5,0.665787], [2.75,0.696174],
+--R    [3.0,0.711685], [3.25,0.712666], [3.5,0.70018], [3.75,0.675925],
+--R    [4.0,0.642119], [4.25,0.601362], [4.5,0.556489], [4.75,0.510408],
+--R    [5.0,0.465942], [5.25,0.425677], [5.5,0.391834], [5.75,0.366161],
+--R    [6.0,0.349852], [6.25,0.343503], [6.5,0.347099], [6.75,0.36004],
+--R    [7.0,0.381195], [7.25,0.408982], [7.5,0.441485], [7.75,0.476568],
+--R    [8.0,0.51201], [8.25,0.545638], [8.5,0.575457], [8.75,0.599758],
+--R    [9.0,0.617214], [9.25,0.626948], [9.5,0.628573], [9.75,0.622204],
+--R    [10.0,0.608436], [10.25,0.588297], [10.5,0.563176], [10.75,0.534731],
+--R    [11.0,0.504784], [11.25,0.475208], [11.5,0.447809], [11.75,0.42422],
+--R    [12.0,0.40581], [12.25,0.393601], [12.5,0.388217], [12.75,0.389852],
+--R    [13.0,0.398268], [13.25,0.412817], [13.5,0.432489], [13.75,0.455978],
+--R    [14.0,0.48177], [14.25,0.508236], [14.5,0.533736], [14.75,0.556716],
+--R    [15.0,0.575803], [15.25,0.589887], [15.5,0.598183], [15.75,0.600273],
+--R    [16.0,0.596126], [16.25,0.586095], [16.5,0.57089], [16.75,0.551526],
+--R    [17.0,0.529259], [17.25,0.505505], [17.5,0.48175], [17.75,0.45946],
+--R    [18.0,0.439989], [18.25,0.4245], [18.5,0.413893], [18.75,0.408757],
+--R    [19.0,0.409336], [19.25,0.41552], [19.5,0.426853], [19.75,0.442571],
+--R    [20.0,0.461646], [20.25,0.48286], [20.5,0.504875], [20.75,0.526323],
+--R    [21.0,0.545885], [21.25,0.562375], [21.5,0.574811], [21.75,0.582472],
+--R    [22.0,0.584939], [22.25,0.582119], [22.5,0.574246], [22.75,0.561862],
+--R    [23.0,0.545782], [23.25,0.52704], [23.5,0.506824], [23.75,0.486399],
+--R    [24.0,0.467029], [24.25,0.449901], [24.5,0.436051], [24.75,0.426303],
+--R    [25.0,0.421217], [25.25,0.421062], [25.5,0.425797], [25.75,0.435083],
+--R    [26.0,0.4483], [26.25,0.464594], [26.5,0.482927], [26.75,0.502146],
+--R    [27.0,0.521054], [27.25,0.538483], [27.5,0.553369], [27.75,0.564814],
+--R    [28.0,0.572142], [28.25,0.574935], [28.5,0.57306], [28.75,0.566674],
+--R    [29.0,0.556212], [29.25,0.542357], [29.5,0.525995], [29.75,0.50816],
+--R    [30.0,0.489969], [30.25,0.472549], [30.5,0.456974], [30.75,0.444193],
+--R    [31.0,0.434973], [31.25,0.429857], [31.5,0.429129], [31.75,0.432799],
+--R    [32.0,0.440605], [32.25,0.452031], [32.5,0.466343], [32.75,0.482632],
+--R    [33.0,0.499873], [33.25,0.516992], [33.5,0.53293], [33.75,0.546708],
+--R    [34.0,0.55749], [34.25,0.564629], [34.5,0.567709], [34.75,0.56657],
+--R    [35.0,0.561313], [35.25,0.552293], [35.5,0.540094], [35.75,0.525495],
+--R    [36.0,0.509417], [36.25,0.492866], [36.5,0.476871], [36.75,0.46242],
+--R    [37.0,0.450396], [37.25,0.441528], [37.5,0.436345], [37.75,0.435144],
+--R    [38.0,0.437971], [38.25,0.444626], [38.5,0.45467], [38.75,0.467461],
+--R    [39.0,0.482187], [39.25,0.497924], [39.5,0.51369], [39.75,0.528507],
+--R    [40.0,0.541464], [40.25,0.551768], [40.5,0.558799], [40.75,0.56214],
+--R    [41.0,0.561608], [41.25,0.557258], [41.5,0.549384], [41.75,0.538494],
+--R    [42.0,0.525282], [42.25,0.51058], [42.5,0.495309], [42.75,0.480418],
+--R    [43.0,0.466829], [43.25,0.455375], [43.5,0.446755], [43.75,0.441487],
+--R    [44.0,0.439878], [44.25,0.442007], [44.5,0.44772], [44.75,0.456645],
+--R    [45.0,0.468209], [45.25,0.481681], [45.5,0.496215], [45.75,0.510904],
+--R    [46.0,0.524837], [46.25,0.537153], [46.5,0.547099], [46.75,0.55407],
+--R    [47.0,0.55765], [47.25,0.557635], [47.5,0.554044], [47.75,0.54712],
+--R    [48.0,0.537309], [48.25,0.525234], [48.5,0.511657], [48.75,0.497426],
+--R    [49.0,0.483428], [49.25,0.470529], [49.5,0.459523], [49.75,0.451084],
+--R    [50.0,0.445722]]
+--R                                                        Type: List List Float
+--E 4
+
+--S 5 of 5
+[[x.1,x.2,fresnelS(x.1),fresnelS(x.1)-x.2] for x in pearceyS]
+--R 
+--R
+--R   (4)
+--R   [[0.0,0.0,0.0,0.0],
+--R    [0.25,0.033097,0.0330970688 3016300650 6,0.6883016300 6506 E -7],
+--R    [0.5,0.0923658,0.0923657602 0981415623 9,- 0.3979018584 376 E -7],
+--R    [0.75,0.1659294,0.1659293548 0210796268,- 0.4519789203 732 E -7],
+--R    [1.0,0.2475583,0.2475582876 5161084261,- 0.1234838915 74 E -7],
+--R    [1.25,0.332216,0.3322160625 9944205945,0.6259944205 945 E -7],
+--R    [1.5,0.415483,0.4154833182 6565542581,0.3182656554 2581 E -6],
+--R    [1.75,0.493469,0.4934686007 9623515999,- 0.3992037648 4001 E -6],
+--R    [2.0,0.562849,0.5628489062 300564793,- 0.9376994352 07 E -7],
+--R    [2.25,0.620944,0.6209439286 8952425621,- 0.7131047574 378 E -7],
+--R    [2.5,0.665787,0.6657868895 7817255522,- 0.1104218274 448 E -6],
+--R    [2.75,0.696174,0.6961742312 5801822896,0.2312580182 29 E -6],
+--R    [3.0,0.711685,0.7116850216 0753003252,0.2160753003 25 E -7],
+--R    [3.25,0.712666,0.7126658336 0193196899,- 0.1663980680 31 E -6],
+--R    [3.5,0.70018,0.7001803262 1710404986,0.3262171040 499 E -6],
+--R    [3.75,0.675925,0.6759254869 8611906826,0.4869861190 6826 E -6],
+--R    [4.0,0.642119,0.6421187357 4451469534,- 0.2642554853 047 E -6],
+--R    [4.25,0.601362,0.6013618861 0406611871,- 0.1138959338 813 E -6],
+--R    [4.5,0.556489,0.5564893045 0127589586,0.3045012758 959 E -6],
+--R    [4.75,0.510408,0.5104084694 9752509967,0.4694975250 997 E -6],
+--R    [5.0,0.465942,0.4659414967 6625853241,- 0.5032337414 6759 E -6],
+--R    [5.25,0.425677,0.4256760562 5372584118,- 0.9437462741 5882 E -6],
+--R    [5.5,0.391834,0.3918334884 2241092549,- 0.5115775890 7451 E -6],
+--R    [5.75,0.366161,0.3661608711 7846843575,- 0.1288215315 642 E -6],
+--R    [6.0,0.349852,0.3498523653 5397811419,0.3653539781 1419 E -6],
+--R    [6.25,0.343503,0.3435034609 0379470942,0.4609037947 0942 E -6],
+--R    [6.5,0.347099,0.3470998591 9509107808,0.8591950910 7808 E -6],
+--R    [6.75,0.36004,0.3600407686 5353610359,0.7686535361 0359 E -6],
+--R    [7.0,0.381195,0.3811944739 4496760982,- 0.5260550323 9018 E -6],
+--R    [7.25,0.408982,0.4089822714 33853148,0.2714338531 48 E -6],
+--R    [7.5,0.441485,0.4414853446 1004457156,0.3446100445 7156 E -6],
+--R    [7.75,0.476568,0.4765679658 3912270914,- 0.3416087729 086 E -7],
+--R    [8.0,0.51201,0.5120096184 674641167,- 0.3815325358 833 E -6],
+--R    [8.25,0.545638,0.5456382758 4836770255,0.2758483677 026 E -6],
+--R    [8.5,0.575457,0.5754571656 0424747441,0.1656042474 744 E -6],
+--R    [8.75,0.599758,0.5997578767 1218929607,- 0.1232878107 039 E -6],
+--R    [9.0,0.617214,0.6172135970 241896115,- 0.4029758103 885 E -6],
+--R    [9.25,0.626948,0.6269475401 6193698812,- 0.4598380630 119 E -6],
+--R    [9.5,0.628573,0.6285731549 3626283028,0.1549362628 303 E -6],
+--R    [9.75,0.622204,0.6222044149 0114838121,0.4149011483 812 E -6],
+--R    [10.0,0.608436,0.6084362590 651108963,0.2590651108 963 E -6],
+--R    [10.25,0.588297,0.5882969931 8226702044,- 0.6817732979 56 E -8],
+--R    [10.5,0.563176,0.5631760638 822475396,0.6388224753 96 E -7],
+--R    [10.75,0.534731,0.5347319938 6555282657,0.9938655528 2656 E -6],
+--R    [11.0,0.504784,0.5047863386 4734203894,0.0000023386 473420389],
+--R    [11.25,0.475208,0.4752102358 2255398909,0.0000022358 2255398909],
+--R    [11.5,0.447809,0.4478104304 5274307166,0.0000014304 527430717],
+--R    [11.75,0.42422,0.4242215626 5460748949,0.0000015626 546074895],
+--R    [12.0,0.40581,0.4058110077 5914323067,0.0000010077 591432307],
+--R    [12.25,0.393601,0.3936017007 1076950741,0.7007107695 0741 E -6],
+--R    [12.5,0.388217,0.3882172107 7941192612,0.2107794119 261 E -6],
+--R    [12.75,0.389852,0.3898519335 8673393733,- 0.6641326606 266 E -7],
+--R    [13.0,0.398268,0.3982677211 0844849665,- 0.2788915515 0335 E -6],
+--R    [13.25,0.412817,0.4128166704 5498856625,- 0.3295450114 3375 E -6],
+--R    [13.5,0.432489,0.4324882345 041217611,- 0.7654958782 389 E -6],
+--R    [13.75,0.455978,0.4559773937 3230061439,- 0.6062676993 8561 E -6],
+--R    [14.0,0.48177,0.4817694215 5974436016,- 0.5784402556 3984 E -6],
+--R    [14.25,0.508236,0.5082358539 0961301684,- 0.1460903869 832 E -6],
+--R    [14.5,0.533736,0.5337356883 2480717037,- 0.3116751928 296 E -6],
+--R    [14.75,0.556716,0.5567156190 4121537424,- 0.3809587846 258 E -6],
+--R    [15.0,0.575803,0.5758032698 0780549342,0.2698078054 934 E -6],
+--R    [15.25,0.589887,0.5898879014 6212257458,0.9014621225 7458 E -6],
+--R    [15.5,0.598183,0.5981839105 0565071631,0.9105056507 1631 E -6],
+--R    [15.75,0.600273,0.6002735434 6065043602,0.5434606504 3602 E -6],
+--R    [16.0,0.596126,0.5961265594 980177631,0.5594980177 631 E -6],
+--R    [16.25,0.586095,0.5860959995 3489677741,0.9995348967 7741 E -6],
+--R    [16.5,0.57089,0.5708906764 8964155137,0.6764896415 5137 E -6],
+--R    [16.75,0.551526,0.5515264006 7065271525,0.4006706527 152 E -6],
+--R    [17.0,0.529259,0.5292592129 0892379155,0.2129089237 915 E -6],
+--R    [17.25,0.505505,0.5055049420 4294755784,- 0.5795705244 22 E -7],
+--R    [17.5,0.48175,0.4817501725 5916779413,0.1725591677 941 E -6],
+--R    [17.75,0.45946,0.4594601596 7650279535,0.1596765027 953 E -6],
+--R    [18.0,0.439989,0.4399893396 8288159635,0.3396828815 9635 E -6],
+--R    [18.25,0.4245,0.4244998504 5434107811,- 0.1495456589 219 E -6],
+--R    [18.5,0.413893,0.4138929191 1930108708,- 0.8088069891 292 E -7],
+--R    [18.75,0.408757,0.4087571284 8337051586,0.1284833705 159 E -6],
+--R    [19.0,0.409336,0.4093364957 3057632165,0.4957305763 2165 E -6],
+--R    [19.25,0.41552,0.4155200541 2770796534,0.5412770796 534 E -7],
+--R    [19.5,0.426853,0.4268532982 2330761689,0.2982233076 1689 E -6],
+--R    [19.75,0.442571,0.4425705170 1115000023,- 0.4829888499 9977 E -6],
+--R    [20.0,0.461646,0.4616457788 1596354143,- 0.2211840364 586 E -6],
+--R    [20.25,0.48286,0.4828592218 8905385632,- 0.7781109461 4368 E -6],
+--R    [20.5,0.504875,0.5048744115 2503595117,- 0.5884749640 4883 E -6],
+--R    [20.75,0.526323,0.5263218997 3686238137,- 0.0000011002 631376186],
+--R    [21.0,0.545885,0.5458838021 1302594691,- 0.0000011978 869740531],
+--R    [21.25,0.562375,0.5623742046 1345743628,- 0.7953865425 6372 E -6],
+--R    [21.5,0.574811,0.5748105273 3873582708,- 0.4726612641 729 E -6],
+--R    [21.75,0.582472,0.5824715801 7267885681,- 0.4198273211 432 E -6],
+--R    [22.0,0.584939,0.5849389064 8781662671,- 0.9351218337 329 E -7],
+--R    [22.25,0.582119,0.5821190706 5525943405,0.7065525943 405 E -7],
+--R    [22.5,0.574246,0.5742457362 6788616758,- 0.2637321138 324 E -6],
+--R    [22.75,0.561862,0.5618616308 0580392102,- 0.3691941960 79 E -6],
+--R    [23.0,0.545782,0.5457817221 8835794711,- 0.2778116420 529 E -6],
+--R    [23.25,0.52704,0.5270400684 8894301738,0.6848894301 738 E -7],
+--R    [23.5,0.506824,0.5068237756 6322281921,- 0.2243367771 808 E -6],
+--R    [23.75,0.486399,0.4863982517 4424787908,- 0.7482557521 2092 E -6],
+--R    [24.0,0.467029,0.4670284356 6225373159,- 0.5643377462 6841 E -6],
+--R    [24.25,0.449901,0.4499008775 2768569685,- 0.1224723143 032 E -6],
+--R    [24.5,0.436051,0.4360514454 5938610932,0.4454593861 0932 E -6],
+--R    [24.75,0.426303,0.4263030410 2444838947,0.4102444838 947 E -7],
+--R    [25.0,0.421217,0.4212170480 2256113561,0.4802256113 561 E -7],
+--R    [25.25,0.421062,0.4210613602 4178097468,- 0.6397582190 2532 E -6],
+--R    [25.5,0.425797,0.4257967889 3146047209,- 0.2110685395 279 E -6],
+--R    [25.75,0.435083,0.4350825056 1623586834,- 0.4943837641 3166 E -6],
+--R    [26.0,0.4483,0.4483000011 9239677468,0.1192396774 7 E -8],
+--R    [26.25,0.464594,0.4645939109 1118988398,- 0.8908881011 602 E -7],
+--R    [26.5,0.482927,0.4829270344 0426767399,0.3440426767 4 E -7],
+--R    [26.75,0.502146,0.5021460338 2247443232,0.3382247443 23 E -7],
+--R    [27.0,0.521054,0.5210536692 2170336971,- 0.3307782966 303 E -6],
+--R    [27.25,0.538483,0.5384830674 2690379321,0.6742690379 321 E -7],
+--R    [27.5,0.553369,0.5533694357 5487427564,0.4357548742 756 E -6],
+--R    [27.75,0.564814,0.5648148314 9166491027,0.8314916649 1027 E -6],
+--R    [28.0,0.572142,0.5721420631 6790330366,0.6316790330 366 E -7],
+--R    [28.25,0.574935,0.5749345026 8645175971,- 0.4973135482 4029 E -6],
+--R    [28.5,0.57306,0.5730594822 652482619,- 0.5177347517 3809 E -6],
+--R    [28.75,0.566674,0.5666739801 1092060771,- 0.1988907939 23 E -7],
+--R    [29.0,0.556212,0.5562123974 5318039664,0.3974531803 966 E -6],
+--R    [29.25,0.542357,0.5423573357 3057143592,0.3357305714 359 E -6],
+--R    [29.5,0.525995,0.5259953183 8591850851,0.3183859185 085 E -6],
+--R    [29.75,0.50816,0.5081603114 6691447077,0.3114669144 708 E -6],
+--R    [30.0,0.489969,0.4899686293 6294561315,- 0.3706370543 8685 E -6],
+--R    [30.25,0.472549,0.4725493003 70056332,0.3003700563 32 E -6],
+--R    [30.5,0.456974,0.4569742329 8007908723,0.2329800790 872 E -6],
+--R    [30.75,0.444193,0.4441924732 1202200062,- 0.5267879779 9938 E -6],
+--R    [31.0,0.434973,0.4349725872 2359219467,- 0.4127764078 0533 E -6],
+--R    [31.25,0.429857,0.4298566440 1538454345,- 0.3559846154 5655 E -6],
+--R    [31.5,0.429129,0.4291285439 2130018393,- 0.4560786998 1607 E -6],
+--R    [31.75,0.432799,0.4327985404 7868362044,- 0.4595213163 7956 E -6],
+--R    [32.0,0.440605,0.4406047705 8303021964,- 0.2294169697 804 E -6],
+--R    [32.25,0.452031,0.4520315818 7779157328,0.5818777915 7328 E -6],
+--R    [32.5,0.466343,0.4663433562 2850339586,0.3562285033 9586 E -6],
+--R    [32.75,0.482632,0.4826316757 5316315801,- 0.3242468368 4199 E -6],
+--R    [33.0,0.499873,0.4998728498 5761360978,- 0.1501423863 902 E -6],
+--R    [33.25,0.516992,0.5169919568 4608062411,- 0.4315391937 59 E -7],
+--R    [33.5,0.53293,0.5329297341 0588518507,- 0.2658941148 149 E -6],
+--R    [33.75,0.546708,0.5467080330 374204341,0.3303742043 41 E -7],
+--R    [34.0,0.55749,0.5574894980 70161353,- 0.5019298386 47 E -6],
+--R    [34.25,0.564629,0.5646284739 1529463715,- 0.5260847053 6285 E -6],
+--R    [34.5,0.567709,0.5677093003 3772777525,0.3003377277 753 E -6],
+--R    [34.75,0.56657,0.5665706285 1241575866,0.6285124157 5866 E -6],
+--R    [35.0,0.561313,0.5613133551 8174616414,0.3551817461 641 E -6],
+--R    [35.25,0.552293,0.5522925303 0361142379,- 0.4696963885 762 E -6],
+--R    [35.5,0.540094,0.5400936428 6312004459,- 0.3571368799 554 E -6],
+--R    [35.75,0.525495,0.5254947452 6478477127,- 0.2547352152 287 E -6],
+--R    [36.0,0.509417,0.5094168513 7281277168,- 0.1486271872 283 E -6],
+--R    [36.25,0.492866,0.4928661334 9354600731,0.1334935460 073 E -6],
+--R    [36.5,0.476871,0.4768716484 1410150512,0.6484141015 0512 E -6],
+--R    [36.75,0.46242,0.4624199779 4599876237,- 0.2205400123 76 E -7],
+--R    [37.0,0.450396,0.4503960869 296054767,0.8692960547 67 E -7],
+--R    [37.25,0.441528,0.4415290525 3642844985,0.0000010525 364284499],
+--R    [37.5,0.436345,0.4363459415 0326090466,0.9415032609 0466 E -6],
+--R    [37.75,0.435144,0.4351444622 142641974,0.4622142641 974 E -6],
+--R    [38.0,0.437971,0.4379709919 0155134798,- 0.8098448652 02 E -8],
+--R    [38.25,0.444626,0.4446262686 7031444849,0.2686703144 4849 E -6],
+--R    [38.5,0.45467,0.4546708406 3699119293,0.8406369911 9293 E -6],
+--R    [38.75,0.467461,0.4674625380 8725087486,0.0000015380 872508749],
+--R    [39.0,0.482187,0.4821902969 1952370995,0.0000032969 1952370995],
+--R    [39.25,0.497924,0.4979286483 1116955857,0.0000046483 1116955857],
+--R    [39.5,0.51369,0.5136882217 6583353419,- 0.0000017782 341664658],
+--R    [39.75,0.528507,0.5285123707 6397702394,0.0000053707 6397702393],
+--R    [40.0,0.541464,0.5414672429 1598081817,0.0000032429 159808182],
+--R    [40.25,0.551768,0.5517745240 9094539537,0.0000065240 9094539537],
+--R    [40.5,0.558799,0.5588050506 5912486677,0.0000060506 5912486677],
+--R    [40.75,0.56214,0.5621369791 6412056122,- 0.0000030208 358794388],
+--R    [41.0,0.561608,0.5616247711 0814605692,0.0000167711 081460569],
+--R    [41.25,0.557258,0.5572675955 430330709,0.0000095955 430330709],
+--R    [41.5,0.549384,0.5493773200 0894645567,- 0.0000066799 9105354433],
+--R    [41.75,0.538494,0.5385616342 9485623221,0.0000676342 9485623221],
+--R    [42.0,0.525282,0.5252752111 2342898796,- 0.0000067888 7657101203],
+--R    [42.25,0.51058,0.5104939314 7702373041,- 0.0000860685 2297626959],
+--R    [42.5,0.495309,0.4953417684 038968965,0.0000327684 038968965],
+--R    [42.75,0.480418,0.4806241406 5752533599,0.0002061406 57525336],
+--R    [43.0,0.466829,0.4667676898 4497320465,- 0.0000613101 5502679535],
+--R    [43.25,0.455375,0.4553638694 6250373139,- 0.0000111305 374962686],
+--R    [43.5,0.446755,0.4466829634 3044419959,- 0.0000720365 6955580042],
+--R    [43.75,0.441487,0.4413450709 5947820527,- 0.0001419290 405217947],
+--R    [44.0,0.439878,0.4398575523 27691464,- 0.0000204476 72308536],
+--R    [44.25,0.442007,0.4420222062 7982284284,0.0000152062 798228428],
+--R    [44.5,0.44772,0.4478984397 6769945092,0.0001784397 676994509],
+--R    [44.75,0.456645,0.4559273692 7109515615,- 0.0007176307 2890484385],
+--R    [45.0,0.468209,0.4676487917 6051833044,- 0.0005602082 3948166956],
+--R    [45.25,0.481681,0.4819138773 9121176935,0.0002328773 912117694],
+--R    [45.5,0.496215,0.4954833490 8753370091,- 0.0007316509 1246629909],
+--R    [45.75,0.510904,0.5106859986 5658467469,- 0.0002180013 434153253],
+--R    [46.0,0.524837,0.5242725127 6971944478,- 0.0005644872 3028055522],
+--R    [46.25,0.537153,0.5375126919 1563903102,0.0003596919 15639031],
+--R    [46.5,0.547099,0.5460962647 9105883281,- 0.0010027352 089411672],
+--R    [46.75,0.55407,0.5524834800 5502643628,- 0.0015865199 449735637],
+--R    [47.0,0.55765,0.5580597398 2343233094,0.0004097398 234323309],
+--R    [47.25,0.557635,0.5590882082 4170920981,0.0014532082 417092098],
+--R    [47.5,0.554044,0.5475186455 874275914,- 0.0065253544 125724086],
+--R    [47.75,0.54712,0.5455984940 601030917,- 0.0015215059 398969083],
+--R    [48.0,0.537309,0.5196318344 7879605961,- 0.0176771655 212039404],
+--R    [48.25,0.525234,0.5131703830 5664910816,- 0.0120636169 433508918],
+--R    [48.5,0.511657,0.4873016398 0175736065,- 0.0243553601 982426393],
+--R    [48.75,0.497426,0.5181479895 3691666632,0.0207219895 369166663],
+--R    [49.0,0.483428,0.4598623177 3318010769,- 0.0235656822 668198923],
+--R    [49.25,0.470529,0.4397312463 9609993647,- 0.0307977536 039000635],
+--R    [49.5,0.459523,0.4156435749 1719610661,- 0.0438794250 8280389339],
+--R    [49.75,0.451084,0.4230292350 336881258,- 0.0280547649 663118742],
+--R    [50.0,0.445722,0.3044252284 9276788618,- 0.1412967715 072321138]]
+--R                                                        Type: List List Float
+--E 5
+
+)spool
+)lisp (bye)
+@
+<<DoubleFloatSpecialFunctions.help>>=
+====================================================================
+DoubleFloatSpecialFunctions examples
+====================================================================
+
+The formula used will agree with the Table of the Fresnel Integral
+by Pearcey (1959) to 6 decimal places up to an argument of about 35.0.
+After that the summation gets slowly worse, agreeing to only 2 digits
+at about 45.0.
+
+fresnelC(1.5)
+   0.7790837385 0396370968
+
+fresnelS(1.5)
+   0.4154833182 6565542581
+
+   
+
+See Also:
+o )show DoubleFloatSpecialFunctions
+
+@
 \pagehead{DoubleFloatSpecialFunctions}{DFSFUN}
 \pagepic{ps/v104doublefloatspecialfunctions.ps}{DFSFUN}{1.00}
 
@@ -12660,10 +13382,12 @@ DistinctDegreeFactorize(F,FP): C == T
 \cross{DFSFUN}{Ei5} \\
 \cross{DFSFUN}{Ei6} &
 \cross{DFSFUN}{En} &
-\cross{DFSFUN}{Gamma} &
+\cross{DFSFUN}{fresnelC} &
+\cross{DFSFUN}{fresnelS} &
+\cross{DFSFUN}{Gamma} \\
 \cross{DFSFUN}{hypergeometric0F1} &
-\cross{DFSFUN}{logGamma} \\
-\cross{DFSFUN}{polygamma} &&&&
+\cross{DFSFUN}{logGamma} &
+\cross{DFSFUN}{polygamma} &&
 \end{tabular}
 
 <<package DFSFUN DoubleFloatSpecialFunctions>>=
@@ -12683,11 +13407,13 @@ DistinctDegreeFactorize(F,FP): C == T
 ++ real and complex floating point.
 
 DoubleFloatSpecialFunctions(): Exports == Impl where
-    NNI ==> NonNegativeInteger
-    PI  ==> Integer
-    R   ==> DoubleFloat
-    C   ==> Complex DoubleFloat
-    OPR ==> OnePointCompletion R
+    NNI  ==> NonNegativeInteger
+    PI   ==> Integer
+    R    ==> DoubleFloat
+    C    ==> Complex DoubleFloat
+    OPR  ==> OnePointCompletion R
+    F    ==> Float
+    LF   ==> List Float
 
     Exports ==> with
         Gamma: R -> R
@@ -12846,18 +13572,27 @@ DoubleFloatSpecialFunctions(): Exports == Impl where
          ++ hypergeometric0F1(c,z) is the hypergeometric function
          ++ \spad{0F1(; c; z)}.
 
+        fresnelS : F -> F
+          ++ fresnelS(f) denotes the Fresnel integral S
+          ++
+          ++X fresnelS(1.5)
+
+        fresnelC : F -> F
+          ++ fresnelC(f) denotes the Fresnel integral C
+          ++
+          ++X fresnelC(1.5)
+
 
     Impl ==> add
         a, v, w, z: C
         n, x, y: R
 
-        -- These are hooks to Bruce's boot code.
         Gamma z         == CGAMMA(z)$Lisp
         Gamma x         == RGAMMA(x)$Lisp
 
 @
 \subsection{The Exponential Integral}
-\subsection{The E1 function}
+\subsubsection{The E1 function}
 (Quoted from Segletes\cite{2}):
 
 A number of useful integrals exist for which no exact solutions have
@@ -13035,7 +13770,7 @@ the Chebyshev polynomial for computing $E_1$. This agrees with the
 handbook values to almost the last published digit. See the {\tt e1.input}
 pamphlet for regression testing against the handbook tables.
 
-\subsection{E1:R$\rightarrow$OPR}
+\subsubsection{E1:R$\rightarrow$OPR}
 The special function E1 below was originally derived from a function
 written by T.Haavie as the {\tt expint.c} function in the Numlibc library
 by Lars Erik Lund. Haavie approximates the E1 function by two 
@@ -13194,7 +13929,7 @@ The formula is 5.1.14 in Abramowitz and Stegun, 1965, p229\cite{4}.
 @
 \subsection{The Ei Function}
 This function is based on Kin L. Lee's work\cite{8}. See also \cite{21}.
-\subsection{Abstract}
+\subsubsection{Abstract}
 The exponential integral Ei(x) is evaluated via Chebyshev series
 expansion of its associated functions to achieve high relative
 accuracy throughout the entire real line. The Chebyshev coefficients
@@ -13202,7 +13937,7 @@ for these functions are given to 30 significant digits. Clenshaw's\cite{20}
 method is modified to furnish an efficient procedure for the accurate
 solution of linear systems having near-triangular coefficient
 matrices.
-\subsection{Introduction}
+\subsubsection{Introduction}
 The evaulation of the exponential integral
 \begin{equation}
 Ei(x)=\int_{-\infty}^{X}{\frac{e^u}{u}}\ du=-E_1(-x), x \ne 0
@@ -13251,7 +13986,7 @@ are useful as a master function for finding approximations for (or
 involving) $Ei(x)$ (e.g. \cite{12,13}) where prescribed accuracy is
 less than 30 figures.
 
-\subsection{Discussion}
+\subsubsection{Discussion}
 
 It is proposed here to provide for the evaluation of $Ei(x)$ by
 obtaining Chebyshev coefficients for the associated functions given by
@@ -13320,7 +14055,7 @@ partitioned into 2 and 3 intervals, respectively, to provide
 approximations to $xe^{-x}Ei(x)$ by polynomials of about the same
 degree. 
 
-\subsection{Expansions in Chebyshev Series}
+\subsubsection{Expansions in Chebyshev Series}
 
 Let $\phi(t)$ be a differentiable function defined on [-1,1]. To
 facilitate discussion, denote its Chebyshev series and that of its
@@ -13351,7 +14086,7 @@ result in a loss of accuracy if the trial solutions selected are not
 sufficiently independent. How the difficulty is overcome will be
 pointed out subsequently.
 
-\subsection{The function $xe^{-x}Ei(x)$ on the Finite Interval}
+\subsubsection{The function $xe^{-x}Ei(x)$ on the Finite Interval}
 
 We consider first the Chebyshev series expansion of
 \begin{equation}
@@ -13680,7 +14415,7 @@ generalized to solve linear systems having coefficient matrices of
 order N, the deletion of whose first $r$ ($r < N$) rows and last $r$
 columns yields upper triangular matrices of order $N-r$.
 
-\subsection{The Function $(1/x)[Ei(x)-log\vert x\vert-\gamma]$}
+\subsubsection{The Function $(1/x)[Ei(x)-log\vert x\vert-\gamma]$}
 
 Let
 \begin{equation}
@@ -13756,7 +14491,7 @@ and then determining $\alpha_k$ and $\beta_k$ ($k=M-1, M-2, \ldots,
 0$) by backward recurrence by means of equation 33. The arbitrary
 constant $c$ is determined by substituting 34 into 32.
 
-\subsection{The Function $xe^{-x}Ei(x)$ on the Infinite Interval}
+\subsubsection{The Function $xe^{-x}Ei(x)$ on the Infinite Interval}
 Let
 \begin{equation}
 f(x)=xe^{-x}Ei(x),\quad -\infty < x \le b < 0,\quad or 0 < b \le x < \infty
@@ -13840,7 +14575,7 @@ and computing $\alpha_k$ (k=0,1,$\ldots$,M-1) by means of equation
 43 by backward recurrence. The substitution of equation 46 into 42
 then enables one to determine $c$ from the resulting equation.
 
-\subsection{Remarks on Convergence and Accuracy}
+\subsubsection{Remarks on Convergence and Accuracy}
 
 The Chebyshev coefficients of table 3 were computed on the IBM 7094
 with 50-digit normalized floating-point arithmetic. In order to assure
@@ -14697,6 +15432,101 @@ $\infty$ & -1.000 & 0.100000000 0000000000 00000000001 E 01\\
 32       &  1.000 & 0.103341356 4216241049 43493552567 E 01\\
 \end{tabular}
 
+\subsection{The Fresnel Integral\cite{PEA56,LOS60}}
+The Fresnel function is
+\[C(x) - iS(x) = \int_0^x{i^{-t^2}}~dt = \int_0^x{\exp(-i\pi{}t^2/2)}~dt\]
+
+We compare Axiom's results to Pearcey's tables which show the fresnel
+results to 6 decimal places. Computation of these values requires floats
+as the range quickly exceeds DoubleFloat. In each decade of the range we
+increase the number of terms by a factor of 10. So we compute with 10
+terms in the range 0.0-10.0, 100 terms in 10.0-20.0, etc.
+\subsubsection{fresnelC}
+The fresnelC is the real portion of the Fresnel integral, C(u), is defined as:
+\[C(\sqrt{2x/\pi}) = 
+\frac{1}{2}\int_0^x{J_{-\frac{1}{2}}(t)}~dt =
+\frac{1}{\sqrt{(2\pi)}}\int_0^x{\frac{\cos(t)}{\sqrt{t}}}~dt\]
+where ${J_{-\frac{1}{2}}(t)}$ is the Bessel function of the first kind of
+order $-\frac{1}{2}$.
+
+This is related to the better known definition of C(u), namely:
+\[C(u)=\int_0^u{\cos{\frac{\pi{}t^2}{2}}}~dt\]
+where $x=\pi{}u^2/2$, or $u=(2x/\pi{})^{1/2}$
+
+fresnelC is an analytic function of z with z=0 as a two-sheeted branch point.
+Along the positive real axis the real definition gives:
+\[C(0) = 0\]
+\[\lim_{x\rightarrow{}+\infty{}} C(x)=\frac{1}{2}\]
+
+The asymptotic behavior of the function in the corner
+$|\rm{arc\ }z| \le \pi-\epsilon$, ($\epsilon > 0$), for $|z| \gg 1$ is given by
+\[C(z) \approx \frac{1}{2} + \frac{\sin z}{\sqrt{2\pi{}z}}
+\left(1-\frac{1\cdot{}3}{(2z)^2}+\frac{1\cdot{}3\cdot{}5\cdot{}7}{(2z)^4}-
+\cdots\right)-\frac{\cos z}{\sqrt{2\pi{}z}}\left(\frac{1}{(2z)}-
+\frac{1\cdot{}3\cdot{}5}{(2z)^3}+\cdots\right)\]
+(Note: Pearcey has a sign error for the second term (\cite{PEA56},p7)
+
+The first approximation is
+\[C(z) \approx \frac{1}{2} + \frac{\sin z}{\sqrt{2\pi{}z}}\]
+
+Axiom uses the power series at the zero point:
+\[C(z)=\sqrt{\frac{2z}{\pi}}\sum_{k=0}^n{(-1)^k\frac{z^{2k}}{(4k+1)(2k)!}}\]
+
+<<package DFSFUN DoubleFloatSpecialFunctions>>=
+        fresnelC(z:F):F ==
+          z < 0 => error "fresnelC not defined for negative argument"
+          z = 0 => 0
+          n:PI:= 100
+          sqrt((2.0/pi()$F)*z)*_
+           reduce(_+,[(-1)**k*z**(2*k)/(factorial(2*k)*(4*k+1))_
+             for k in 0..n])$LF
+
+@
+
+\subsubsection{fresnelS}
+The fresnelS is the complex portion of the Fresnel integral, 
+S(u), is defined as:
+\[S(\sqrt{2x/\pi}) = 
+\frac{1}{2}\int_0^x{J_{\frac{1}{2}}(t)}~dt =
+\frac{1}{\sqrt{(2\pi)}}\int_0^x{\frac{\sin(t)}{\sqrt{t}}}~dt\]
+where ${J_{\frac{1}{2}}(t)}$ is the Bessel function of the first kind of
+order $\frac{1}{2}$.
+
+This is related to the better known definition of S(u), namely:
+\[S(u)=\int_0^u{\sin{\frac{\pi{}t^2}{2}}}~dt\]
+where $x=\pi{}u^2/2$, or $u=(2x/\pi{})^{1/2}$
+
+fresnelS is an analytic function of z with z=0 as a two-sheeted branch point.
+Along the positive real axis the real definition gives:
+\[S(0) = 0\]
+\[\lim_{x\rightarrow{}+\infty{}} S(x)=\frac{1}{2}\]
+
+The asymptotic behavior of the function in the corner
+$|\rm{arc\ }z| \le \pi-\epsilon$, ($\epsilon > 0$), for $|z| \gg 1$ is given by
+\[S(z) \approx \frac{1}{2} - \frac{\cos z}{\sqrt{2\pi{}z}}
+\left(1-\frac{1\cdot{}3}{(2z)^2}+\frac{1\cdot{}3\cdot{}5\cdot{}7}{(2z)^4}-
+\cdots\right)-\frac{\sin z}{\sqrt{2\pi{}z}}\left(\frac{1}{(2z)}-
+\frac{1\cdot{}3\cdot{}5}{(2z)^3}+\cdots\right)\]
+
+The first approximation is
+\[S(z) \approx \frac{1}{2} - \frac{\cos z}{\sqrt{2\pi{}z}}\]
+
+Axiom uses the power series at the zero point:
+\[S(z)=
+\sqrt{\frac{2z}{\pi}}\sum_{k=0}^n{(-1)^k\frac{z^{2k+1}}{(4k+3)(2k+1)!}}\]
+
+<<package DFSFUN DoubleFloatSpecialFunctions>>=
+        fresnelS(z:F):F ==
+          z < 0 => error "fresnelS not defined for negative argument"
+          z = 0 => 0
+          n:PI:= 100
+          sqrt((2.0/pi()$F)*z)*_
+           reduce(_+,
+            [(-1)**k*(z**(2*k+1))/(factorial(2*k+1)*(4*k+3)) _
+             for k in 0..n])$LF
+
+@
+
 <<package DFSFUN DoubleFloatSpecialFunctions>>=
 
         polygamma(k,z)  == CPSI(k, z)$Lisp
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 9e49165..b48d01c 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -757,6 +757,15 @@ alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
 Joseph Liouville. Second m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
 alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
+\bibitem[Los60]{Los60}
+L\"osch, Friedrich ``Tables of Higher Functions''
+McGraw-Hill Book Company 1960
+\bibitem[Luk169]{Luk169}
+Luke, Yudell L. ``The Special Functions and their Approximations'' Volume I
+Academic Press (1969) Mathematics in Science and Engineering Volume 53-I
+\bibitem[Luk269]{Luk269}
+Luke, Yudell L. ``The Special Functions and their Approximations'' Volume II
+Academic Press (1969) Mathematics in Science and Engineering Volume 53-II
 \bibitem[Mul97]{Mul97}
 Thom Mulders. ``A note on subresultants and a correction to
 the lazard/rioboo/trager formula in rational function integration'' 
@@ -766,6 +775,13 @@ M.W. Ostrogradsky. De l'int\'{e}gration des fractions
 rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
 l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
 IV:145-167,286-300, 1845
+\bibitem[Pea56]{Pea56}
+Pearcey, T. ``Table of the Fresnel Integral''
+Cambridge University Press 1956
+\bibitem[PTVF95]{PTVF95}
+Press, William H., Teukolsky, Saul A., Vetterling, William T., 
+Flannery, Brian P. ``Numerical Recipes in C''
+Cambridge University Press (1995) ISBN 0-521-43108-5
 \bibitem[Pu09]{Pu09}
 Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' 
 \verb|www.puffinwarellc.com/p3a.htm|
diff --git a/changelog b/changelog
index f625740..7e71500 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100718 tpd src/algebra/Makefile add help and test for DFSFUN
+20100718 tpd books/bookvolbib add Los60, Luk169, Luk269, Pea56, PTVF95
+20100718 tpd books/bookvol10.4 add fresnelC, fresnelS to DFSFUN
 20100717 tpd src/axiom-website/patches.html 20100717.01.tpd.patch
 20100717 tpd src/algebra/Makefile handle case-insensitive MAC filesystem
 20100713 wxh src/axiom-website/patches.html 20100713.01.wxh.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 7b27206..601de6e 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17418,6 +17418,7 @@ SPADHELP=\
  ${HELP}/DivisorCategory.help \
  ${HELP}/DoubleFloat.help \
  ${HELP}/DoubleFloatMatrix.help \
+ ${HELP}/DoubleFloatSpecialFunctions.help \
  ${HELP}/DoubleFloatVector.help \
  ${HELP}/DoublyLinkedAggregate.help \
  ${HELP}/DrawOption.help \
@@ -18110,6 +18111,7 @@ REGRESS= \
  DivisorCategory.regress \
  DoubleFloat.regress \
  DoubleFloatMatrix.regress \
+ DoubleFloatSpecialFunctions.regress \
  DoubleFloatVector.regress \
  DoublyLinkedAggregate.regress \
  DrawOption.regress \
@@ -20319,6 +20321,18 @@ ${HELP}/DoubleFloatMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/DoubleFloatMatrix.input
 	@echo "DoubleFloatMatrix (DFMAT)" >>${HELPFILE}
 
+${HELP}/DoubleFloatSpecialFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7210 create DoubleFloatSpecialFunctions.help from \
+            ${BOOKS}/bookvol10.4.pamphlet
+	@${TANGLE} -R"DoubleFloatSpecialFunctions.help" \
+            ${BOOKS}/bookvol10.4.pamphlet \
+            >${HELP}/DoubleFloatSpecialFunctions.help
+	@cp -f ${HELP}/DoubleFloatSpecialFunctions.help ${HELP}/DFSFUN.help
+	@${TANGLE} -R"DoubleFloatSpecialFunctions.input" \
+            ${BOOKS}/bookvol10.4.pamphlet \
+            >${INPUT}/DoubleFloatSpecialFunctions.input
+	@echo "DoubleFloatSpecialFunctions (DFSFUN)" >>${HELPFILE}
+
 ${HELP}/DoubleFloatVector.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7210 create DoubleFloatVector.help from \
             ${BOOKS}/bookvol10.3.pamphlet
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9815880..15953d2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2996,5 +2996,7 @@ src/input/derivefail.input failing integrals from derive 6.10<br/>
 books/bookvol10.* add fresnelS, fresnelC to LF, COMMONOP, LIMITPS, EXPR<br/>
 <a href="patches/20100717.01.tpd.patch">20100717.01.tpd.patch</a>
 src/algebra/Makefile handle case-insensitive MAC filesystem<br/>
+<a href="patches/20100718.01.tpd.patch">20100718.01.tpd.patch</a>
+books/bookvol10.4 add fresnelC, fresnelS to DFSFUN<br/>
  </body>
 </html>
